Module | Nokogiri::XSLT
In: | lib/nokogiri/ffi/xslt/stylesheet.rb lib/nokogiri/xslt.rb lib/nokogiri/xslt/stylesheet.rb ext/nokogiri/html_document.c

call-seq:

      transform(document, params = [])

Apply an XSLT stylesheet to an XML::Document. `params` is an array of strings used as XSLT parameters. returns Nokogiri::XML::Document

Example:

      doc   = Nokogiri::XML(File.read(ARGV[0]))
      xslt  = Nokogiri::XSLT(File.read(ARGV[1]))
      puts xslt.transform(doc, ['key', 'value'])

### Methods

parse quote_params

### Classes and Modules

Class Nokogiri::XSLT::Stylesheet

### Public Class methods

parse(string)

Parse the stylesheet in `string`

quote_params(params)

Quote parameters in `params` for stylesheet safety

[Validate]